--- title: "Get Controller by ID" slug: "get-controller-by-id-2" tags: ["Product Usage", "vIPS 11.1x", "vIPS"] updated: 2026-09-11T20:53:22Z published: 2026-09-11T20:53:22Z canonical: "docs.trellix.com/get-controller-by-id-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Controller by ID This URL gets the details of a Controller based on the Controller ID. ### Resource URL GET /controller/ ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `controller id` | Controller ID. You can use the `GET /controller` method to get the details of all the Controllers. | number | Yes | Payload Parameters: None ### Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Indicates if the GET operation is successful. Value is set to `true` if the GET operation is successful. Value is set to `false` if the GET operation is not successful. | string | | `msg` | Not applicable | Not applicable | | `errMsg` | Not applicable | Not applicable | | `domainName` | Not applicable | Not applicable | | `data` | Controller details | object | Details of data | Field Name | Description | Data Type | | --- | --- | --- | | `cloudUuid` | Cloud unique Id of the Controller instance | string | | `hostName` | Hostname on which the Controller is installed | string | | `controllerVersion` | Version of the Controller | string | | `agentVersion` | Version of the Virtual Probe | string | | `name` | Controller name | string | | `description` | Description of the Controller | string | | `controllerId` | Controller ID | number | | `serviceIp` | IP address of the Controller | string | | `subscriberId` | Domain ID | number | | `sharedSecretKey` | Shared secret key | string | | `status` | Status of the Controller | string | | `creationTime` | Creation time of the Controller | number | | `cloudAccounts` | Cloud accounts configured for the Controller | string | | `lastModifiedTime` | Last modified time of the Controller | number | ### Example ****Request**** GET [https:///intruvert/webservice/api/v1/cloud/controller/1](https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/1) ****Response**** ``` { "success": true, "msg": null, "errMsg": null, "domainName": null, "data": { "cloudUuid": "cloudUID", "hostName": "NSMAppliance", "controllerVersion": "1.0.141", "agentVersion": "1.0.141", "name": "local", "description": "Default Internal controller running in NSM.", "controllerId": 1, "serviceIp": "10.15.1.2", "subscriberId": 0, "sharedSecretKey": "7a4a7b462c2f5a454e792118591d5c5c", "status": "ONLINE", "creationTime": null, "cloudAccounts": null, "lastModifiedTime": 1555003528000 }, "controllerName": null } ```